nvidia-modprobe(1)

NAME
nvidia-modprobe - Load the NVIDIA kernel module and create NVIDIA character device files.

SYNOPSIS
nvidia-modprobe [options]
nvidia-modprobe [options] --create-nvidia-device-file=MINOR-NUMBER
nvidia-modprobe [options] --module-instance=MODULE-INSTANCE

DESCRIPTION
The nvidia-modprobe utility is used by user-space NVIDIA driver components to make sure the NVIDIA kernel module is loaded and that the NVIDIA character device files are present. These facilities are normally provided by Linux distribution configuration systems such as udev. When possible, it is recommended to use your Linux distribution's native mechanisms for managing kernel module loading and device file creation. This utility is provided as a fallback to work out-of-the-box in a distribution-independent way.

When installed by nvidia-installer , nvidia-modprobe is installed setuid root.

Users should not normally need to run nvidia-modprobe by hand: the NVIDIA user-space driver components will fork(2)/exec(3) it when needed.

When run without any options, nvidia-modprobe will load the NVIDIA kernel module and then exit. When the --module-instance option is specified on systems with multiple NVIDIA kernel modules, nvidia-modprobe will load the corresponding NVIDIA kernel module and then exit. When the --create-nvidia-device-file option is specified, nvidia-modprobe will also create the requested device file.

The source code to nvidia-modprobe is available here:

OPTIONS

-v, --version
    Print the utility version and exit.

-h, --help
    Print usage information for the command line options and exit.

-c MINOR-NUMBER, --create-nvidia-device-file=MINOR-NUMBER
    Create the NVIDIA device file with the given minor number; this option can be specified multiple times to create multiple NVIDIA device files.

ADVANCED OPTIONS

-u, --unified-memory
    Load the NVIDIA Unified Memory kernel module or create device files for it, instead of the NVIDIA kernel module.

-m, --modeset
    Load the NVIDIA modeset kernel module and create its device file.

-s, --nvswitch
    Load the NVIDIA kernel module and create the NVSwitch device files for each minor number specified using the -c flag.

-l, --nvlink
    Load the NVIDIA kernel module and create the NVLink control device file.

-f NVIDIA-CAPABILITY-DEVICE-FILE, --nvidia-capability-device-file=NVIDIA-CAPABILITY-DEVICE-FILE
    Create the NVIDIA capability device files with the given capability /proc file path. This option can be specified multiple times to create multiple NVIDIA capability device files.

EXAMPLES

nvidia-modprobe
    Run `/sbin/modprobe nvidia`

nvidia-modprobe -c 0 -c 1
    Run `/sbin/modprobe nvidia` and create /dev/nvidia0 and /dev/nvidia1

nvidia-modprobe -i 0
    Run `/sbin/modprobe nvidia0`

AUTHOR
Andy Ritger
NVIDIA Corporation

COPYRIGHT
Copyright © 2013 NVIDIA Corporation.